laby_0.6.3-1_amd64.deb


Advertisement

Description

laby - Learn how to program with ants and spider webs

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: laby
Package version: 0.6.3
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 2.39 KB
Download size: 775.20 KB
Official Mirror: ftp.br.debian.org
Laby is a small program to learn how to program with ants and spider webs. You have to move an ant out of a labyrinth, avoid spider webs, move rocks, etc. Using Laby, you can learn OCaml, C and Java. Other bindings can be added later to support new programming languages.

Alternatives

    Download

    Binary package: laby_0.6.3-1_amd64.deb
    Source package: laby

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install laby deb package:
      # sudo apt-get install laby

    Files

    • /usr/games/laby
    • /usr/share/applications/laby.desktop
    • /usr/share/doc/laby/changelog.Debian.gz
    • /usr/share/doc/laby/copyright
    • /usr/share/icons/hicolor/scalable/apps/laby.svg
    • /usr/share/laby/conf
    • /usr/share/laby/texts
    • /usr/share/laby/theme
    • /usr/share/laby/levels/0.laby
    • /usr/share/laby/levels/1a.laby
    • /usr/share/laby/levels/1b.laby
    • /usr/share/laby/levels/1c.laby
    • /usr/share/laby/levels/2a.laby
    • /usr/share/laby/levels/2b.laby
    • /usr/share/laby/levels/2c.laby
    • /usr/share/laby/levels/3a.laby
    • /usr/share/laby/levels/3b.laby
    • /usr/share/laby/levels/4a.laby
    • /usr/share/laby/levels/4b.laby
    • /usr/share/laby/levels/counting-the-rocks.laby
    • /usr/share/laby/levels/this-is-crazy.laby
    • /usr/share/laby/mods/c/help
    • /usr/share/laby/mods/c/rules
    • /usr/share/laby/mods/c/skel
    • /usr/share/laby/mods/c/lib/robot.c
    • /usr/share/laby/mods/c/lib/robot.h
    • /usr/share/laby/mods/java/help
    • /usr/share/laby/mods/java/rules
    • /usr/share/laby/mods/java/skel
    • /usr/share/laby/mods/java/lib/Main.java
    • /usr/share/laby/mods/java/lib/Robot.java
    • /usr/share/laby/mods/lua/help
    • /usr/share/laby/mods/lua/rules
    • /usr/share/laby/mods/lua/skel
    • /usr/share/laby/mods/lua/lib/robot.lua
    • /usr/share/laby/mods/ocaml/help
    • /usr/share/laby/mods/ocaml/rules
    • /usr/share/laby/mods/ocaml/skel
    • /usr/share/laby/mods/ocaml/lib/robot.ml
    • /usr/share/laby/mods/prolog/help
    • /usr/share/laby/mods/prolog/rules
    • /usr/share/laby/mods/prolog/skel
    • /usr/share/laby/mods/prolog/lib/robot.pl
    • /usr/share/laby/mods/python/help
    • /usr/share/laby/mods/python/rules
    • /usr/share/laby/mods/python/skel
    • /usr/share/laby/mods/python/lib/robot.py
    • /usr/share/laby/mods/ruby/help
    • /usr/share/laby/mods/ruby/rules
    • /usr/share/laby/mods/ruby/skel
    • /usr/share/laby/mods/ruby/lib/robot.rb
    • /usr/share/laby/scripts/sound
    • /usr/share/laby/sound/bad.wav
    • /usr/share/laby/sound/carry-exit.wav
    • /usr/share/laby/sound/drop-no-space.wav
    • /usr/share/laby/sound/drop-nothing.wav
    • /usr/share/laby/sound/exit-in.wav
    • /usr/share/laby/sound/exit.wav
    • /usr/share/laby/sound/no-exit.wav
    • /usr/share/laby/sound/rock-drop.wav
    • /usr/share/laby/sound/rock-in.wav
    • /usr/share/laby/sound/rock-take.wav
    • /usr/share/laby/sound/start.wav
    • /usr/share/laby/sound/take-nothing.wav
    • /usr/share/laby/sound/wall-in.wav
    • /usr/share/laby/sound/web-in.wav
    • /usr/share/laby/sound/web-out.wav
    • /usr/share/laby/syntax/ocaml.lang
    • /usr/share/laby/tiles/ant-e.svg
    • /usr/share/laby/tiles/ant-n.svg
    • /usr/share/laby/tiles/ant-s.svg
    • /usr/share/laby/tiles/ant-w.svg
    • /usr/share/laby/tiles/exit.svg
    • /usr/share/laby/tiles/nrock.svg
    • /usr/share/laby/tiles/nweb.svg
    • /usr/share/laby/tiles/rock.svg
    • /usr/share/laby/tiles/void.svg
    • /usr/share/laby/tiles/wall.svg
    • /usr/share/laby/tiles/web.svg
    • /usr/share/man/man6/laby.6.gz
    • /usr/share/menu/laby
    • /usr/share/pixmaps/laby.xpm

    Changelog

    2011-09-26 - Mehdi Dogguy <mehdi@debian.org> laby (0.6.3-1) unstable; urgency=low * New upstream release * Switch to 3.0 (quilt) source format. * Bump Standards-Version to 3.9.2, no changes required.

    2009-12-01 - Mehdi Dogguy <mehdi@debian.org> laby (0.5.5-1) unstable; urgency=low * New upstream release - Uses lablgtk2 (>= 2.14) which brings bindings for gtksourceview2 (Closes: #541958). * Use new features of dh-ocaml: automatic computation of dependencies

    2009-09-12 - Mehdi Dogguy <mehdi@debian.org> laby (0.5.4-1) unstable; urgency=low * New upstream release + Prolog mode * Choose the same icon as upstream * Add executable bit to all '/usr/share/laby/mods/*/lib/defs' * Bump debhelper's version to (>= 7.0.50~) in build-dependencies * Bump standards version to 3.8.3 * Build-depend on ocaml-findlib (used to be a dependency of liblablgtksourceview) (Closes: #549830).

    2009-08-24 - Mehdi Dogguy <mehdi@debian.org> laby (0.5.3-1) unstable; urgency=low * New Upstream Version * Remove DMUA, not needed anymore * Use my Debian address for the maintainer field

    2009-08-04 - Mehdi Dogguy <dogguy@pps.jussieu.fr> laby (0.5.2-1) unstable; urgency=low * New Upstream Version - Ruby mode - New uptream homepage * Add ruby to the list of compilers in the dependency field and as a suggestion. * Update watch file * Update homepage field * Update the category in menus (menu, desktop): LogicGame * Bump standards version to 3.8.2 * Fix permission of run/*/command files (add executable bit)

    2009-06-05 - Mehdi Dogguy <dogguy@pps.jussieu.fr> laby (0.5.1-1) unstable; urgency=low * New Upstream Version * Update manpage: add --tile-size * Update OCaml version in build-deps

    2009-06-01 - Mehdi Dogguy <dogguy@pps.jussieu.fr> laby (0.5.0-1) unstable; urgency=low * New Upstream Version * Remove menhir from build-dependencies: not used. * alsa-utils is now a Recommends: used only for sound effects.

    2009-05-23 - Mehdi Dogguy <dogguy@pps.jussieu.fr> laby (0.4.5-2) unstable; urgency=low * Fix FTBFS on non-native architectures: compiling using OCAML_BEST. * Add gbp.conf to force use of pristine-tar.

    2009-05-13 - Mehdi Dogguy <dogguy@pps.jussieu.fr> laby (0.4.5-1) unstable; urgency=low * Initial release (Closes: #515617)

    Advertisement
    Advertisement